>

다음 명령을 사용하여 사전 컴파일 된 OpenCV 3.4.2 버전을 Raspberry에 설치하고 싶습니다 :

sudo apt-get update
sudo apt-get upgrade
sudo apt-get install pip3
sudo pip3 install opencv-python

그러나 실패했고 오류 메시지는 다음과 같습니다."opencv-python 요구 사항을 충족하는 버전을 찾을 수 없습니다 (버전에서) : opencv-python에 대해 일치하는 배포를 찾을 수 없습니다"

다음 명령을 시도했지만 결과는 동일합니다 :

sudo apt-get install python3-pip
sudo pip install opencv-python

같은 명령을 사용하여 우분투 16으로 PC에 설치하는 데 문제가 없었습니다. 이 페이지는 https://pypi.org/project/opencv-python/

Raspbian Jessie Lite, Python 3.4를 사용하고 있습니다


  • 답변 # 1

    opencv 용 다운로드 파일 목록에는 많은 Python 버전의 바이너리 휠이 포함되어 있지만 MacOSX (Intel의 MacOSX, Intel의 Linux 32 및 64 비트, Windows의 Intel 32 및 64 비트)의 제한된 휠 세트가 포함되어 있습니다. 라즈베리 파이 프로세서가 없으며 소스 코드가 없으므로 pip  컴파일 할 수 없습니다.

    FAQ는 https://www.piwheels.org/에서 Pi 휠을 찾아 볼 것을 권장합니다.

관련 자료

  • 이전 performance - DB2 SQL이 SUM + CASE보다 ID를 기반으로 고유 한 값 수를 얻는 더 좋은 방법
  • 다음 특정 시간에 실행되는 PHP 스크립트